<?php

use Lime\Controller\BlogController;
use Lime\Controller\UserController;

require_once("src/Lime/App.php");
require __DIR__ . "/vendor/autoload.php";
session_start();

// Aanmaken van global variables
if (!isset($_SESSION['blogs'])) {
    $_SESSION['blogs'] = [];
}
if (!isset($_SESSION['users'])) {
    $_SESSION['users'] = [
        ['username' => 'ruben', 'pass' => 'db'],
        ['username' => 'primi', 'pass' => 'tivo'],
        ['username' => 'syntra', 'pass' => '123'],
    ];
}
// $_SESSION = [];
$app = new Lime\App();


$app->bind("/", function () use ($app) {
    // variables for template
    $data = [
        'title' => "Smoelbook",
        'blogs' => $_SESSION['blogs'],
        'users' => $_SESSION['users'],
    ];
    // Template rendering
    return $this->render("pages/blogs.php with pages/layout.php", $data);
});

// Controllers linken aan een route, de functie naam in de controller komt achter de slug die meegegeven wordt => blog/functionName, user/functionName 
$app->bindClass(BlogController::class, 'blog');
$app->bindClass(UserController::class, 'user');

$app->run();