<?php session_start(); ?>
<!DOCTYPE HTML>
<html lang="en-US">

<head>
    <meta charset="UTF-8">
    <title><?= $title ?></title>
    <style>
    * {
        box-sizing: border-box;
        font-family: helvetica;
    }

    html,
    body {
        padding: 0;

        margin: 0;
    }

    nav {
        width: 100%;
        min-height: 80px;
        background-color: goldenrod;
        color: white;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;

    }

    nav h1 {
        margin-bottom: 0;
    }

    main {
        max-width: 800px;
        padding: 2em;
        margin: 0 auto;
    }

    .users table {
        width: 100%;
        border: 1px solid black;
        border-collapse: collapse;
    }

    td {
        border: 1px solid black;
        text-align: center;
    }

    #createBlog {
        display: flex;
        flex-direction: column;
    }

    #createBlog>* {
        margin: .2em 0;
        padding: 1em;
    }

    #createBlog>label {
        padding: unset;
        padding: 1em 0
    }

    #createBlog>input[type=submit] {
        background-color: goldenrod;
        border: none;
        font-size: 2em;
        padding: .2em;
        color: white;
        cursor: pointer;
    }

    .blog {
        border: 1px solid goldenrod;
        margin-top: 1em;
    }


    .blog__title {
        padding: .5em;
        background-color: goldenrod;
        display: flex;
        justify-content: space-between;
    }

    .blog__title--actions {
        display: flex;
        align-items: center;
    }

    .blog__body {
        padding: .5em;
        width: 100%;
    }

    .blog__body--message {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .blog__action {
        float: right;
    }


    .comment {
        border: 1px solid goldenrod;
        border-top: unset;
        padding: 1em;
    }

    .comment__title {
        margin-top: 0;
    }

    .blog__reaction {
        margin-bottom: 1em;
        margin-left: 1em;
        display: flex;
        /* flex-direction: column; */
        justify-content: space-between;
    }

    .blog__reaction--info {
        display: flex;
        align-items: center;
        justify-content: space-around;
    }

    .blog__reaction--info>* {
        margin: 0 .2em;
    }

    .blog__reaction--user {
        font-weight: bold;
        color: darkblue;
    }
    </style>
</head>

<body>
    <nav>
        <h1><?= $title ?></h1>
        <!-- KNOP om uit te loggen indien ingelogd -->
        <?php if ($_SESSION['login']['logged_in'] === true) { ?>
        <form action="user/logout" method="post">
            <input type="submit" value="Log Out">
        </form>
        <?php } ?>
    </nav>
    <main>
        <!-- Als user ingeligd is, blogs schrijven en content zien -->
        <?php if ($_SESSION['login']['logged_in'] === true) { ?>
        <form action="blog/create" method='post' id="createBlog">
            <label for="blog">Write something...</label>
            <textarea name="blog" id="blog" cols="30" rows="5" autofocus required></textarea>
            <input type="submit" value="Write blog">
        </form>
        <?= $content_for_layout; ?>

        <?php } else { ?>
        <!-- 
                LOGIN  (logged_in = false)
             -->
        <form action="user/login" method='post' id="createBlog">
            <label for="username">Username</label>
            <input type="text" name="username" id="username" required autofocus>
            <label for="pass">Password</label>
            <input type="password" name="pass" id="pass" required>
            <input type="submit" value="Log in ">
        </form>
        <?php
            // Indien er een fout is bij ingloggen
            if (isset($_SESSION['login']['err'])) {
                echo $_SESSION['login']['err'];
            }

            ?>
        <div class="users">
            <table>
                <tr>
                    <th>Usernames</th>
                    <th>Passwords</th>
                </tr>
                <?php foreach ($users as $value) {  ?>
                <tr>
                    <td><?= $value['username'] ?></td>
                    <td><?= $value['pass'] ?></td>
                </tr>
                <?php } ?>
            </table>
        </div>
        <?php } ?>
    </main>
</body>

</html>