<?php

namespace Lime\Controller;

session_start();
class BlogController
{

    protected $app;

    public function __construct($app)
    {
        $this->app = $app;
    }
    public function create($id = null)
    {
        date_default_timezone_set("Europe/Brussels");
        // Als er een parameter wordt meegegeven
        // Dwz dat er een ID is meegegeven voor een reactie toe te voegen
        if (isset($id)) {
            if (isset($_SESSION['blogs'][$id]['responses'])) {
                $respId = count($_SESSION['blogs'][$id]['responses']) + 1;
            } else {
                $respId = 1;
            }
            $_SESSION['blogs'][$id]['responses'][] = [
                "id" => $respId,
                "user" => $_SESSION['login']['user'],
                "message" => trim($_POST['comment']),
                "parent_id" => $id,
                "likes" => ["users" => [], 'count' => 0],
                "date" => date("d/m/Y - h:i")
            ];
            if (isset($_SESSION['like'])) {
                $_SESSION['blogs'][$id]['likes']++;
            }
        } else {
            // Else -> bij een nieuwe blog
            // !empty -> geen lege blogs posten
            if (!empty($_POST['blog'])) {
                $id = count($_SESSION['blogs']) + 1;

                $_SESSION['blogs'][] = [
                    "id" => $id,
                    "user" => $_SESSION['login']['user'],
                    "message" => trim($_POST['blog']),
                    "likes" => ["users" => [], 'count' => 0],
                    "date" => date("d/m/Y - h:i")
                ];
            };
        }


        // Header already sent? -> Je kan geen var_dump of echo doen als je gaat redirecten. Didn't know :)
        $this->app->reroute("/");
    }
    public function delete($params)
    {
        if (isset($params)) {
            unset($_SESSION['blogs'][$params]);
            $this->app->reroute("/");
        }
    }
    public function like($params)
    {
        if (isset($params)) {
            // Als de huidige user niet al eens een like gegeven heeft
            if (!in_array($_SESSION['login']['user'], $_SESSION['blogs'][$params]['likes']['users'])) {
                $_SESSION['blogs'][$params]['likes']['count']++;
                // users worden bijgehouden, dan kan er in de toekomst een visuele weergave van wie een like gaf plaatsvinden
                $_SESSION['blogs'][$params]['likes']['users'][] = $_SESSION['login']['user'];
            }
        }
        $this->app->reroute("/");
    }
    public function likeReaction($params)
    {
        $blogId = explode('-', $params)[0];
        $reactionId = explode('-', $params)[1];
        if (isset($params)) {
            // Als de huidige user niet al eens een like gegeven heeft
            if (!in_array($_SESSION['login']['user'], $_SESSION['blogs'][$blogId]['responses'][$reactionId]['likes']['users'])) {
                $_SESSION['blogs'][$blogId]['responses'][$reactionId]['likes']['count']++;
                $_SESSION['blogs'][$blogId]['responses'][$reactionId]['likes']['users'][] = $_SESSION['login']['user'];
            }
        }
        $this->app->reroute("/");
    }
}